Bug 616422 - Previous button is not working on step2 while creating a bundle.
Previous button is not working on step2 while creating a bundle.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
3.0.0
All All
high Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: jon24-provisioning
  Show dependency treegraph
 
Reported: 2010-07-20 08:32 EDT by Sunil Kondkar
Modified: 2011-05-23 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:12:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2010-07-20 08:32:21 EDT
Description of problem:

While uploading a bundle, if user uploads a bundle via file upload control, the next screen comes which says 'No additional files need to be uploaded for this bundle'. Clicking 'Previous' button on this page is not working. Nothing happens when user clicks on 'Previous' button.

Version-Release number of selected component (if applicable):
jon-2.4.0.GA_QA build#70

How reproducible:
Always

Steps to Reproduce:

1) Log-in to JON
2) Go to Administration > Content > Bundles
3) Click on 'New' button.
4) Select 'Upload' radio button.
5) Browse and select a bundle archive which has all required files included in the archive.
6) Click on 'Next' button.
7) Click on the 'Previous' button on the page which says 'No additional files need to be uploaded for this bundle'
  
Actual results:
Nothing happens when user clicks on 'Previous' button.

Expected results:
User should be navigated back to the previous page.

Additional info:
Browser Version: Firefox 3.0.12
Comment 1 John Mazzitelli 2010-12-20 13:24:07 EST
master commit e5003d37187cd75b7fa731824257003c082680b7

when you hit previous at that step, you now go back to the step #1. This step #1, once you go back to it, should be fully disabled though - you can't re-upload something different once you successfully uploaded a distro when you first hit step #1's next button. If you want to upload a new bundle, you hit cancel (or the window close button in the top right) and re-enter the wizard.
Comment 2 Sunil Kondkar 2011-02-15 06:10:47 EST
Verified on build#1010 (Version: 4.0.0-SNAPSHOT  Build Number: ec5b64e)

Clicking previous button works and user navigates back to the step #1. The step#1 is fully disabled. Clicking 'Cancel' on step1 cancels the bundle upload as expected.

Marking this bug as verified.
Comment 3 Corey Welton 2011-05-23 21:12:37 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:12:37 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.